templates:
- github
- catkin
- base

variables:
  description: ROW wrapper for Intel RealSense camera
  keywords:
  - Intel RealSense
  - ros

  github.user: IntelRealSense
  github.project: realsense-ros

  branches:
  - development

  pre-build-hook/unix.command: |
      find . -type f -name 'CMakeLists.txt' -exec sed -i 's/add_compile_options(-std=c++11)//g' {} \;
      find . -type f -name 'CMakeLists.txt' -exec sed -i 's/-std=c++11//g' {} \;
      

versions:
- name: fix-cmake
  variables:
    github.user: ubi-agni
    branch: ${version-name}

- pattern: '^[0-9]+\.[0-9]+\.[0-9]+$'
  variables:
    branch: '${match:0}'
    numeric-version: '${match:0}'

- name: obese-devel
  variables:
    branch: obese-devel
    github.user: ros-o
